GCLOUD_DEPLOYMENT-MANAGER_DEPLOYMENTS_CANCEL-PREVIEW(1)

NAME

gcloud deployment-manager deployments cancel-preview - cancel a pending or running deployment preview

SYNOPSIS

gcloud deployment-manager deployments cancel-preview DEPLOYMENT_NAME [--async] [GLOBAL-FLAG ...]

DESCRIPTION
This command will cancel a currently running or pending preview operation on a deployment.

POSITIONAL ARGUMENTS
DEPLOYMENT_NAME
    Deployment name.

FLAGS
--async
    Return immediately and print information about the Operation in progress rather than waiting for the Operation to complete. (default=False)

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To cancel a running operation on a deployment, run:
    $ gcloud deployment-manager deployments cancel-preview \
        my-deployment
To issue a cancel preview command without waiting for the operation to complete, run:
    $ gcloud deployment-manager deployments cancel-preview \
        my-deployment --async